Mailinglist Archive: opensuse-factory (745 mails)

< Previous Next >
Re: [opensuse-factory] Too many packages to process
On Wed, 2018-01-17 at 15:27 +0300, Andrei Borzenkov wrote:
On Wed, Jan 17, 2018 at 3:24 PM, Martin Wilck <mwilck@xxxxxxxx> wrote:
On Wed, 2018-01-17 at 10:44 +0100, Olaf Hering wrote:
Am Wed, 17 Jan 2018 10:40:34 +0100
schrieb Vojtěch Zeisek <vojtech.zeisek@xxxxxxxxxxxx>:

I'm not sure, if this is bug or feature... After few days, update
applet (TW,
KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click
to
"Install updates" error "Too many packages to process (6843/5200)"
appears.
Zypper handles it well. Is it worth of bug report? To b.o.o?

Since Tumbleweed must be updated with 'zypper dup', and these
graphical frontends do not do the equivalent of a 'zypper dup', there
is nothing to worry about.

Consequently, PackageKit and it's clients should be banned from TW
repositories.


Rather these clients should utilize available information which
command to use during update. zypper knows that "dup" is preferred
over "up" and displays warning; so these clients could use the same
information and chose "dup" automatically.

https://bugzilla.opensuse.org/show_bug.cgi?id=1030829

Looking for people to contirbute code - it's not that the idea has not
been thought of yet

Cheers
Dominique
< Previous Next >